Bug 209862 - commit token data doesn't look correct sometimes when running mp5
commit token data doesn't look correct sometimes when running mp5
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Steven Dake
Depends On:
  Show dependency treegraph
Reported: 2006-10-06 22:12 EDT by Steven Dake
Modified: 2016-04-26 09:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0599
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 12:00:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix the problem. (2.14 KB, patch)
2007-07-25 05:59 EDT, Steven Dake
no flags Details | Diff

  None (edit)
Description Steven Dake 2006-10-06 22:12:37 EDT
Description of problem:
this looks fishy from the logs:
Oct  6 19:38:35.056031 [TOTEM] entering RECOVERY state.
Oct  6 19:38:35.056083 [TOTEM] position [0] member
Oct  6 19:38:35.056094 [TOTEM] previous ring seq 1125934283437147 rep
Oct  6 19:38:35.056102 [TOTEM] aru 28 high delivered 28 received flag 0
Oct  6 19:38:35.056111 [TOTEM] position [1] member
Oct  6 19:38:35.056119 [TOTEM] previous ring seq 0 rep (null)
Oct  6 19:38:35.056126 [TOTEM] aru 0 high delivered 0 received flag 0
Oct  6 19:38:35.056134 [TOTEM] position [2] member
Oct  6 19:38:35.056141 [TOTEM] previous ring seq 0 rep (null) Oct  6
19:38:35.056148 [TOTEM] aru 0 high delivered 0 received flag 0
Oct  6 19:38:35.056156 [TOTEM] position [3] member
Oct  6 19:38:35.056163 [TOTEM] previous ring seq 0 rep (null)
Oct  6 19:38:35.056170 [TOTEM] aru 0 high delivered 0 received flag 0
Oct  6 19:38:35.056180 [TOTEM] Did not need to originate any messages in recovery.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run the mp5 test tool
Actual results:

Expected results:

Additional info:
Comment 1 Steven Dake 2007-07-25 05:56:42 EDT
The problem is that if a commit token is resent by a previous node, the next
node in the ring will also process the commit token again and send it on.  This
causes tokens for forward nodes to be discarded by incorrect logic and the
COMMIT token to be lost in a properly formed ring.  It also results in incorrect
EVS recovery which can result in segfaults of the protocol.
Comment 2 Steven Dake 2007-07-25 05:59:47 EDT
Created attachment 159910 [details]
patch to fix the problem.
Comment 3 RHEL Product and Program Management 2007-07-25 06:29:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 errata-xmlrpc 2007-11-07 12:00:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.